<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      width="600"
      style="margin-left: 60px;"
    >
    <v-card
      class="mx-auto pa-12 pb-8"
      elevation="8"
      width="500"
      rounded="lg"
    >
      <v-form validate-on="submit lazy" ref="form" @submit.prevent="submit">
        <p class="text-h3 text-center text-light-green-darken-2 mb-6">
          Đăng nhập
        </p>
        <v-card-item>
          <v-card-subtitle>
            <v-alert
              v-model="alert"
              border="left"
              close-text="Close Alert"
              color="error"
              dark
              dismissible
              max-width="450"
              height="auto"
              class=""
            >
              <div
                style="overflow-x: auto; white-space: nowrap"
                v-html="message"
              ></div>
            </v-alert>
          </v-card-subtitle> </v-card-item
        >
        <div class="text-subtitle-1 text-medium-emphasis">Tên nhà cung cấp</div>
        <v-text-field
          density="compact"
          placeholder="Tên nhà cung cấp"
          prepend-inner-icon="mdi-account"
          variant="outlined"
          :rules="userNameRules"
          v-model="loginForm.username"
        ></v-text-field>

        <div
          class="text-subtitle-1 text-medium-emphasis d-flex align-center justify-space-between"
        >
          Password
        </div>
        <v-text-field
          :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
          :type="visible ? 'text' : 'password'"
          density="compact"
          placeholder="Enter your password"
          prepend-inner-icon="mdi-lock-outline"
          variant="outlined"
          :rules="passwordRules"
          v-model="loginForm.password"
          @click:append-inner="visible = !visible"
        ></v-text-field>

        <v-card class="mb-6" color="surface-variant" variant="tonal"> </v-card>
        <div class="text-center">
          <v-btn
            type="submit"
            class="mb-8"
            color="blue"
            size="large"
            variant="tonal"
            text="Đăng nhập"
            :loading="loading"
          >
          </v-btn>
        </div>
      </v-form>
    </v-card>
    </v-dialog>
  </v-row>
</template>
<script>
import { login } from "@/api/login";
import { useCookies } from "vue3-cookies";
import { useStore } from "vuex";
export default {
  setup() {
    const { cookies } = useCookies();
    const store = useStore();
    return { cookies, store };
  },
  data: () => ({
    loginForm: {
      username: null,
      password: null,
    },
    passwordRules: [(v) => !!v || "Tên nhà cung cấp không được trống!"],
    userNameRules: [(v) => !!v || "Mật khẩu không được trống!"],
    loading: false,
    visible: false,
    myCookie: "",
    message:'',
    alert : false,
    disable : false,
    dialog: false,
  }),
  methods: {
    submit() {
      let isValid = this.$refs.form.validate();
      if (!isValid) {
        return;
      }
      let username = this.loginForm.username;
      let password = this.loginForm.password;
      if(username && password){
        this.loading = true;
        login(username, password)
        .then((res) => {
          let data = res.data.data;
          let token = data.access_token;
          this.cookies.set("token", token);
          this.dialog = false
          
          // this.$router.push("/");
        })
        .catch((err) => {
          this.alert = true
          this.message = 'Tên đăng nhập hoặc mật khẩu chưa đúng'
          console.log(err);
        })
        .finally(() => {
          this.loading = false;
        });
      }
    },
  },
};
</script>